using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace PictureBox_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private void butFromFile_Click(object sender, EventArgs e)
        {
            picTest.Image =  new Bitmap(@"\Windows\banner.gif");
        }

        private void butRes_Click(object sender, EventArgs e)
        {
            // Загружаем из ресурсов
            picTest.Image =  new Bitmap(Assembly.GetExecutingAssembly().GetManifestResourceStream("PictureBox_CS.kristina.jpg"));
        }

        private void butImgList_Click(object sender, EventArgs e)
        {
            // изменяем размеры картинки
            imageList1.ImageSize = new System.Drawing.Size(160, 120);
            // загружаем картинку с измененными размерами
            picTest.Image = imageList1.Images[0];
        }
    }
}